Workload Impacts - Create

Create a WorkloadImpact

PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Impact/workloadImpacts/{workloadImpactName}?api-version=2025-01-01-preview

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workloadImpactName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9-:]*[a-zA-Z0-9]{3,120}$

workloadImpact resource

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties

WorkloadImpactProperties

The resource-specific properties for this resource.

Responses

Name Type Description
200 OK

WorkloadImpact

Resource 'WorkloadImpact' update operation succeeded

201 Created

WorkloadImpact

Resource 'WorkloadImpact' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Reporting a connectivity impact
Reporting Arm operation failure
Reporting availability related impact
Reporting performance related impact
WorkloadImpacts_Create_MaximumSet

Reporting a connectivity impact

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-001?api-version=2025-01-01-preview

{
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservercontext",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "conection failure",
    "impactCategory": "Resource.Connectivity",
    "connectivity": {
      "protocol": "TCP",
      "port": 1443,
      "source": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceSub/providers/Microsoft.compute/virtualmachines/vm1"
      },
      "target": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceSub/providers/Microsoft.compute/virtualmachines/vm2"
      }
    },
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    }
  }
}

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/Impacts-rg/providers/Microsoft.Impact/workloadImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/workloadImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservercontext",
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "conection failure",
    "impactCategory": "Resource.Connectivity",
    "connectivity": {
      "protocol": "TCP",
      "port": 1443,
      "source": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceSub/providers/Microsoft.compute/virtualmachines/vm1"
      },
      "target": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceSub/providers/Microsoft.compute/virtualmachines/vm2"
      }
    },
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    }
  }
}
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/Impacts-rg/providers/Microsoft.Impact/workloadImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/workloadImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservercontext",
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "conection failure",
    "impactCategory": "Resource.Connectivity",
    "connectivity": {
      "protocol": "TCP",
      "port": 1443,
      "source": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceSub/providers/Microsoft.compute/virtualmachines/vm1"
      },
      "target": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceSub/providers/Microsoft.compute/virtualmachines/vm2"
      }
    },
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    }
  }
}

Reporting Arm operation failure

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-002?api-version=2025-01-01-preview

{
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservercontext",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "deletion of resource failed",
    "impactCategory": "ArmOperation",
    "armCorrelationIds": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    }
  }
}

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/workloadImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "deletion of resource failed",
    "impactCategory": "ArmOperation",
    "armCorrelationIds": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    },
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z"
  }
}
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/workloadImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "deletion of resource failed",
    "impactCategory": "ArmOperation",
    "armCorrelationIds": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    },
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z"
  }
}

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-002?api-version=2025-01-01-preview

{
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservercontext",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "read calls failed",
    "impactCategory": "Availability",
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    }
  }
}

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/workloadImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "read calls failed",
    "impactCategory": "Availability",
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    },
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z"
  }
}
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/workloadImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "read calls failed",
    "impactCategory": "Availability",
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    },
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z"
  }
}

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impact-002?api-version=2025-01-01-preview

{
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservercontext",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "high cpu utilization",
    "impactCategory": "Resource.Performance",
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "performance": [
      {
        "metricName": "CPU",
        "actual": 90,
        "expected": 60,
        "unit": "garbage"
      }
    ],
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    }
  }
}

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/PerformanceImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/PerformanceImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "high cup utilization",
    "impactCategory": "Resource.Performance",
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "performance": [
      {
        "metricName": "CPU",
        "actual": 90,
        "expected": 60,
        "unit": "garbage"
      }
    ],
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    },
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z"
  }
}
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/PerformanceImpacts/impact-001",
  "name": "impact-001",
  "type": "Microsoft.Impact/PerformanceImpacts",
  "properties": {
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "startDateTime": "2022-06-15T05:59:46.6517821Z",
    "endDateTime": null,
    "impactDescription": "high cup utilization",
    "impactCategory": "Resource.Performance",
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "performance": [
      {
        "metricName": "CPU",
        "actual": 90,
        "expected": 60,
        "unit": "garbage"
      }
    ],
    "clientIncidentDetails": {
      "clientIncidentId": "AA123",
      "clientIncidentSource": "Jira"
    },
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2022-06-15T06:01:46.6517821Z"
  }
}

WorkloadImpacts_Create_MaximumSet

Sample request

PUT https://management.azure.com/subscriptions/0D045314-435A-41DA-B0A4-2CA7E9F87D12/providers/Microsoft.Impact/workloadImpacts/testWorkloadImpact?api-version=2025-01-01-preview

{
  "properties": {
    "startDateTime": "2024-12-04T19:51:13.274Z",
    "endDateTime": "2024-12-04T19:51:13.274Z",
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
    "impactCategory": "Resource.Other",
    "impactDescription": "test description",
    "armCorrelationIds": [
      "4D045314-435A-41DA-B0A4-2CA7E9F87D12"
    ],
    "performance": [
      {
        "metricName": "testMetric",
        "expected": 23,
        "actual": 20,
        "expectedValueRange": {
          "min": 1,
          "max": 27
        },
        "unit": "ByteSeconds"
      }
    ],
    "connectivity": {
      "protocol": "TCP",
      "port": 6,
      "source": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm1"
      },
      "target": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm2"
      }
    },
    "additionalProperties": {},
    "errorDetails": {
      "errorCode": "504",
      "errorMessage": "Gateway timeout error"
    },
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "impactGroupId": "testGroup1",
    "confidenceLevel": "Low",
    "clientIncidentDetails": {
      "clientIncidentId": "123456",
      "clientIncidentSource": "AzureDevops"
    },
    "ongoingImpact": true,
    "severity": "Critical",
    "durationInSec": 26,
    "detectionType": "BusinessAlert",
    "durationMarginInSec": 28,
    "hitCount": 21
  }
}

Sample response

{
  "properties": {
    "provisioningState": "Succeeded",
    "startDateTime": "2024-12-04T19:51:13.274Z",
    "endDateTime": "2024-12-04T19:51:13.274Z",
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm1",
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2024-12-04T19:51:13.274Z",
    "impactCategory": "Resource.Other",
    "impactDescription": "Test description",
    "armCorrelationIds": [
      "4D045314-435A-41DA-B0A4-2CA7E9F87D12"
    ],
    "performance": [
      {
        "metricName": "testMetric",
        "expected": 23,
        "actual": 20,
        "expectedValueRange": {
          "min": 1,
          "max": 27
        },
        "unit": "ByteSeconds"
      }
    ],
    "connectivity": {
      "protocol": "TCP",
      "port": 6,
      "source": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm1"
      },
      "target": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm2"
      }
    },
    "additionalProperties": {},
    "errorDetails": {
      "errorCode": "504",
      "errorMessage": "Gateway timeout error"
    },
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "impactGroupId": "testGroup1",
    "confidenceLevel": "Low",
    "clientIncidentDetails": {
      "clientIncidentId": "123456",
      "clientIncidentSource": "AzureDevops"
    },
    "ongoingImpact": true,
    "severity": "Critical",
    "durationInSec": 26,
    "detectionType": "BusinessAlert",
    "durationMarginInSec": 28,
    "hitCount": 21
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/Impacts-rg/providers/Microsoft.Impact/workloadImpacts/impact2",
  "name": "testWorkloadImpact",
  "type": "Microsoft.Impact/workloadImpacts",
  "systemData": {
    "createdBy": "testuser@hotmail.com",
    "createdByType": "User",
    "createdAt": "2024-03-07T06:19:01.6431721Z",
    "lastModifiedBy": "testuser@hotmail.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-03-15T08:29:20.8549373Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "provisioningState": "Succeeded",
    "startDateTime": "2024-12-04T19:51:13.274Z",
    "endDateTime": "2024-12-04T19:51:13.274Z",
    "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm1",
    "impactUniqueId": "d7f24d04-e7f0-48bf-b09c-9d36ca9e1777",
    "reportedTimeUtc": "2024-12-04T19:51:13.274Z",
    "impactCategory": "Resource.Other",
    "impactDescription": "Test description",
    "armCorrelationIds": [
      "4D045314-435A-41DA-B0A4-2CA7E9F87D12"
    ],
    "performance": [
      {
        "metricName": "testMetric",
        "expected": 23,
        "actual": 20,
        "expectedValueRange": {
          "min": 1,
          "max": 27
        },
        "unit": "ByteSeconds"
      }
    ],
    "connectivity": {
      "protocol": "TCP",
      "port": 6,
      "source": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm1"
      },
      "target": {
        "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.compute/virtualmachines/vm2"
      }
    },
    "additionalProperties": {},
    "errorDetails": {
      "errorCode": "504",
      "errorMessage": "Gateway timeout error"
    },
    "workload": {
      "context": "webapp/scenario1",
      "toolset": "Other"
    },
    "impactGroupId": "testGroup1",
    "confidenceLevel": "Low",
    "clientIncidentDetails": {
      "clientIncidentId": "123456",
      "clientIncidentSource": "AzureDevops"
    },
    "ongoingImpact": true,
    "severity": "Critical",
    "durationInSec": 26,
    "detectionType": "BusinessAlert",
    "durationMarginInSec": 28,
    "hitCount": 21
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/Impacts-rg/providers/Microsoft.Impact/workloadImpacts/impact2",
  "name": "testWorkloadImpact",
  "type": "Microsoft.Impact/workloadImpacts",
  "systemData": {
    "createdBy": "testuser@hotmail.com",
    "createdByType": "User",
    "createdAt": "2024-03-07T06:19:01.6431721Z",
    "lastModifiedBy": "testuser@hotmail.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-03-15T08:29:20.8549373Z"
  }
}

Definitions

Name Description
ClientIncidentDetails

Client incident details ex: incidentId , incident source

ConfidenceLevel

Degree of confidence on the impact being a platform issue.

Connectivity

Details about connectivity issue. Applicable when root resource causing the issue is not identified. For example, when a VM is impacted due to a network issue, the impacted resource could be VM or the network. In such cases, the connectivity field will have the details about both VM and network.

createdByType

The type of identity that created the resource.

DetectionType

List of detection types

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorDetailProperties

ARM error code and error message associated with the impact

ErrorResponse

Error response

ExpectedValueRange

Max and Min Threshold values for the metric

IncidentSource

List of incident interfaces.

MetricUnit

List of unit of the metric.

Performance

Details about impacted performance metrics. Applicable for performance related impact

Protocol

List of protocols

ProvisioningState

Provisioning state of the resource.

Severity

List of severity of an impact.

SourceOrTarget

Resource details

systemData

Metadata pertaining to creation and last modification of the resource.

Toolset

List of azure interfaces.

Workload

Information about the impacted workload

WorkloadImpact

Workload Impact properties

WorkloadImpactProperties

Workload impact properties

ClientIncidentDetails

Client incident details ex: incidentId , incident source

Name Type Description
clientIncidentId

string

Client incident id. ex : id of the incident created to investigate and address the impact if any.

clientIncidentSource

IncidentSource

Client incident source. ex : source system name where the incident is created

ConfidenceLevel

Degree of confidence on the impact being a platform issue.

Value Description
Low

Low confidence on azure being the source of impact

Medium

Medium confidence on azure being the source of impact

High

High confidence on azure being the source of impact

Connectivity

Details about connectivity issue. Applicable when root resource causing the issue is not identified. For example, when a VM is impacted due to a network issue, the impacted resource could be VM or the network. In such cases, the connectivity field will have the details about both VM and network.

Name Type Description
port

integer (int32)

Port number for the connection

protocol

Protocol

Protocol used for the connection

source

SourceOrTarget

Source from which the connection was attempted

target

SourceOrTarget

target which connection was attempted

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DetectionType

List of detection types

Value Description
BusinessAlert

Use this when impact is alert based.

MetricsThreshold

Use this when impact is metrics or expectations based.

MetricsAnomaly

Use this when impact is outlier based.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorDetailProperties

ARM error code and error message associated with the impact

Name Type Description
errorCode

string

ARM Error code associated with the impact.

errorMessage

string

ARM Error Message associated with the impact

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExpectedValueRange

Max and Min Threshold values for the metric

Name Type Description
max

number (double)

Max threshold value for the metric

min

number (double)

Min threshold value for the metric

IncidentSource

List of incident interfaces.

Value Description
AzureDevops

When source of Incident is AzureDevops

ICM

When source of Incident is Microsoft ICM

Jira

When source of Incident is Jira

ServiceNow

When source of Incident is ServiceNow

Other

When source of Incident is Other

MetricUnit

List of unit of the metric.

Value Description
ByteSeconds

When measurement is in ByteSeconds

Bytes

When measurement is in Bytes

BytesPerSecond

When measurement is in BytesPerSecond

Cores

When measurement is in Cores

Count

When measurement is in Count

CountPerSecond

When measurement is in CountPerSecond

MilliCores

When measurement is in MilliCores

MilliSeconds

When measurement is in MilliSeconds

NanoCores

When measurement is in NanoCores

Percent

When measurement is in Percent

Seconds

When measurement is in Seconds

Other

When measurement is in Other than listed

Performance

Details about impacted performance metrics. Applicable for performance related impact

Name Type Description
actual

number (double)

Observed value for the metric

expected

number (double)

Threshold value for the metric

expectedValueRange

ExpectedValueRange

Max and Min Threshold values for the metric

metricName

string

Name of the Metric examples: Disk, IOPs, CPU, GPU, Memory, details can be found from /impactCategories API

unit

MetricUnit

Unit of the metric ex: Bytes, Percentage, Count, Seconds, Milliseconds, Bytes/Second, Count/Second, etc.., Other

Protocol

List of protocols

Value Description
TCP

When communication protocol is TCP

UDP

When communication protocol is UDP

HTTP

When communication protocol is HTTP

HTTPS

When communication protocol is HTTPS

RDP

When communication protocol is RDP

FTP

When communication protocol is FTP

SSH

When communication protocol is SSH

Other

When communication protocol is Other

ProvisioningState

Provisioning state of the resource.

Value Description
Succeeded

Provisioning Succeeded

Failed

Provisioning Failed

Canceled

Provisioning Canceled

Severity

List of severity of an impact.

Value Description
Critical

Use this when the issue is critical. Consider this to be similar to severity 1 incidents.

High

Use this when the issue is high impact similar to severity 2 incidents.

Medium

Use this when the issue is medium impact similar to severity 3 incidents.

Low

Use this for issues that are low impact similar to severity 4 and 5 incidents.

SourceOrTarget

Resource details

Name Type Description
azureResourceId

string

pattern: (\/[0-9a-zA-Z]+)*

Azure resource id, example /subscription/{subscription}/resourceGroup/{rg}/Microsoft.compute/virtualMachine/{vmName}

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

Toolset

List of azure interfaces.

Value Description
Terraform

If communication toolset is Terraform

Puppet

If communication toolset is Puppet

Chef

If communication toolset is Chef

SDK

If communication toolset is SDK

Ansible

If communication toolset is Ansible

ARM

If communication toolset is ARM

Portal

If communication toolset is Portal

Shell

If communication toolset is Shell

Other

If communication toolset is Other

Workload

Information about the impacted workload

Name Type Description
context

string

the scenario for the workload

toolset

Toolset

Tool used to interact with Azure. SDK, AzPortal, etc.., Other

WorkloadImpact

Workload Impact properties

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

WorkloadImpactProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

WorkloadImpactProperties

Workload impact properties

Name Type Description
additionalProperties

Additional fields related to impact, applicable fields per resource type are list under /impactCategories API

armCorrelationIds

string[]

The ARM correlation ids, this is important field for control plane related impacts

clientIncidentDetails

ClientIncidentDetails

Client incident details ex: incidentId , incident source

confidenceLevel

ConfidenceLevel

Degree of confidence on the impact being a platform issue

connectivity

Connectivity

Details about connectivity issue. Applicable when root resource causing the issue is not identified. For example, when a VM is impacted due to a network issue, the impacted resource is identified as the VM, but the root cause is the network. In such cases, the connectivity field will have the details about the network issue

detectionType

DetectionType

This field represents the type of impact. Possible values are MetricsThreshold, MetricsAnomaly, BusinessAlert.

durationInSec

number (double)

minimum: 0

Captures the longest interruption duration within the specified start and end times. For example, it can be used to indicate network connectivity loss lasting longer than a specified number of seconds within the given time range.

durationMarginInSec

number (double)

minimum: 0

This field represents the duration margin in seconds that can be provided while providing endDateTime.

endDateTime

string (date-time)

Time at which impact has ended

errorDetails

ErrorDetailProperties

ARM error code and error message associated with the impact

hitCount

integer (int32)

minimum: 0

This field represents the number of times a particular issue was observed over a given time range.

impactCategory

string

Category of the impact, details can found from /impactCategories API

impactDescription

string

A detailed description of the impact

impactGroupId

string

Use this field to group impacts

impactUniqueId

string

pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}

Unique ID of the impact (UUID)

impactedResourceId

string

Azure resource id of the impacted resource

ongoingImpact

boolean

This field represents if an impact is ongoing or not. This is a boolean field.

performance

Performance[]

Details about performance issue. Applicable for performance impacts.

provisioningState

ProvisioningState

Resource provisioning state.

reportedTimeUtc

string (date-time)

Time at which impact is reported

severity

Severity

This field represents the severity of an impact. Severity can be from critical to low severity impact. Severity ranges from 1 to 5 with 1 being critical, 2 is high, 3 is medium and 4,5 represents low severity impact.

startDateTime

string (date-time)

Time at which impact was observed

workload

Workload

Information about the impacted workload